cudnn_frontend::ReductionDescBuilder_v8
cudnn_frontend_ReductionDesc.h
ReductionDesc_v8 ReductionDesc_v8 cudnn_frontend::ReductionDescBuilder_v8::m_reductionDesc m_reductionDesc
auto auto cudnn_frontend::ReductionDescBuilder_v8::setMathPrecision (cudnnDataType_t data_type_) -> ReductionDescBuilder_v8 & setMathPrecision cudnnDataType_t data_type_

Set Math Precision Data Type for the Reduction Operation.

auto auto cudnn_frontend::ReductionDescBuilder_v8::setReductionOp (cudnnReduceTensorOp_t op_) -> ReductionDescBuilder_v8 & setReductionOp cudnnReduceTensorOp_t op_

Set redution operator for the Reduction Operation.

ReductionDesc_v8 && ReductionDesc_v8&& cudnn_frontend::ReductionDescBuilder_v8::build () build

constructs the ReductionDesc_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::getLogger
cudnn_frontend::ReductionDesc_v8::operator=
cudnn_frontend::ReductionDesc_v8::ReductionDescBuilder_v8
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::ReductionDescBuilder_v8::ReductionDescBuilder_v8
()=default
ReductionDescBuilder_v8
cudnn_frontend::ReductionDescBuilder_v8::~ReductionDescBuilder_v8
()=default
~ReductionDescBuilder_v8
cudnn_frontend::ReductionDescBuilder_v8::ReductionDescBuilder_v8
(ReductionDescBuilder_v8 &&)=delete
ReductionDescBuilder_v8
ReductionDescBuilder_v8 &&
cudnn_frontend::ReductionDescBuilder_v8::ReductionDescBuilder_v8
(ReductionDescBuilder_v8 const &)=delete
ReductionDescBuilder_v8
ReductionDescBuilder_v8 const &
ReductionDescBuilder_v8 & ReductionDescBuilder_v8& cudnn_frontend::ReductionDescBuilder_v8::operator= (ReductionDescBuilder_v8 const &)=delete operator= ReductionDescBuilder_v8 const &

ReductionDescBuilder_v8 Class Helper class used to build ReductionDesc_v8 class

cudnn_frontend::ReductionDescBuilder_v8
-m_reductionDesc
shared_ptr< OpaqueBackendPointer >
cudnnReduceTensorOp_t
cudnn_frontend::ReductionDesc_v8
-reduction_op
-math_precision
cudnnStatus_t
std::basic_string< char >
cudnnDataType_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::ReductionDescBuilder_v8
  build
- cudnn_frontend::ReductionDescBuilder_v8
  m_reductionDesc
- cudnn_frontend::ReductionDescBuilder_v8
  operator=
- cudnn_frontend::ReductionDescBuilder_v8
  ReductionDescBuilder_v8
- cudnn_frontend::ReductionDescBuilder_v8
  ReductionDescBuilder_v8
- cudnn_frontend::ReductionDescBuilder_v8
  ReductionDescBuilder_v8
- cudnn_frontend::ReductionDescBuilder_v8
  setMathPrecision
- cudnn_frontend::ReductionDescBuilder_v8
  setReductionOp
- cudnn_frontend::ReductionDescBuilder_v8
  ~ReductionDescBuilder_v8